# Generated by Django 3.1.4 on 2020-12-22 08:36

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('pegawai', '0002_auto_20201222_1359'),
    ]

    operations = [
        migrations.CreateModel(
            name='Penugasan',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tgl_tugas', models.DateTimeField(verbose_name='Tanggal Tugas')),
                ('tgl_kembali', models.DateTimeField(verbose_name='Tanggal Kembali')),
                ('no_surat', models.CharField(max_length=100, verbose_name='No Surat')),
                ('perihal', models.TextField()),
                ('tempat_tugas', models.CharField(max_length=255, verbose_name='Tempat Tugas')),
                ('jenis_angkutan', models.CharField(choices=[('prbd', 'Pribadi'), ('umn', 'Umum'), ('dns', 'Dinas')], max_length=20)),
                ('jenis_tugas', models.CharField(choices=[('lr', 'Luar'), ('dl', 'Dalam')], max_length=20)),
                ('file_tugas', models.FileField(upload_to='file/')),
                ('pegawai_id', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='pegawai.pegawai')),
            ],
        ),
    ]
